Bug 145606 - [MAINTAINER] net-mgmt/zabbix-server: fix fping locations in sample conf files
Summary: [MAINTAINER] net-mgmt/zabbix-server: fix fping locations in sample conf files
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sahil Tandon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-10 15:30 UTC by Jim Riggs
Modified: 2010-05-05 05:10 UTC (History)
0 users

See Also:


Attachments
zabbix-server-1.8.2_1,2.patch (651 bytes, patch)
2010-04-10 15:30 UTC, Jim Riggs
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Riggs 2010-04-10 15:30:02 UTC
- fix fping locations in sample conf files

Generated with FreeBSD Port Tools 0.77
Comment 1 Sahil Tandon freebsd_committer 2010-04-16 01:13:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sahil

I'll take it.
Comment 2 Sahil Tandon freebsd_committer 2010-04-17 06:46:35 UTC
In this Makefile, ${PREFIX} is where net-mgmt/zabbix-server installs
itself; if you make reference to files installed by *other* ports (like
net/fping), you should use ${LOCALBASE}.

-- 
Sahil Tandon <sahil@FreeBSD.org>
Comment 3 Sahil Tandon freebsd_committer 2010-04-17 06:57:04 UTC
State Changed
From-To: open->feedback

Wait for new patch from maintainer.
Comment 4 Jim Riggs 2010-04-17 12:30:46 UTC
>Submitter-Id:	current-users
>Originator:	Jim Riggs
>Organization:	
>Confidential:	no 
>Synopsis:	Re: ports/145606: [MAINTAINER] net-mgmt/zabbix-server: fix fping locations in sample conf files
>Severity:	non-critical
>Priority:	low
>Category:	ports 
>Class:		maintainer-update
>Release:	FreeBSD 6.3-RELEASE-p2 amd64
>Environment:
System: FreeBSD zion.christianserving.org 6.3-RELEASE-p2 FreeBSD 6.3-RELEASE-p2 #3: Mon May  5 21:27:22 CDT
>Description:
Changed PREFIX to LOCALBASE.  Good catch, Sahil!  That's what I get for trying to whip up a "quick" patch.  It always ends up being slower in the long run.  :-)

Generated with FreeBSD Port Tools 0.77
>How-To-Repeat:
>Fix:

--- zabbix-server-1.8.2_1,2.patch begins here ---
diff -ruN --exclude=CVS /usr/ports/net-mgmt/zabbix-server/Makefile /root/portwork/zabbix/net-mgmt/zabbix-server/Makefile
--- /usr/ports/net-mgmt/zabbix-server/Makefile	2010-04-03 05:44:24.000000000 -0500
+++ /root/portwork/zabbix/net-mgmt/zabbix-server/Makefile	2010-04-17 06:24:23.000000000 -0500
@@ -110,6 +110,7 @@
 	@${GREP} -rl "/etc/zabbix" ${WRKSRC} \
 	  | ${XARGS} ${REINPLACE_CMD} -e 's#/etc/zabbix#${ETCDIR}#g' \
 	  && ${FIND} ${WRKSRC} -type f -name '*.bak' -exec ${RM} -f {} +
+	@${REINPLACE_CMD} -e 's#/usr/sbin/fping#${LOCALBASE}/sbin/fping#g' ${WRKSRC}/misc/conf/${PORTNAME}_*.conf
 
 .if ${ZABBIX_BUILD} != "agent"
 .ifdef WITHOUT_FPING
--- zabbix-server-1.8.2_1,2.patch ends here ---
Comment 5 Sahil Tandon freebsd_committer 2010-04-17 16:27:44 UTC
State Changed
From-To: feedback->open

Maintainer has fixed.
Comment 6 Sahil Tandon freebsd_committer 2010-04-18 15:23:09 UTC
Thanks for fixing that; however, in testing your port, I see that it
does not install -- the configure script fails.  See:

http://people.freebsd.org/~sahil/logs/9.0/zabbix-server-1.8.2_1,2.log

-- 
Sahil Tandon <sahil@FreeBSD.org>
Comment 7 Sahil Tandon freebsd_committer 2010-04-18 16:19:47 UTC
State Changed
From-To: open->feedback

Ask for maintainer fix.
Comment 8 Jim Riggs 2010-04-29 19:13:12 UTC
On 18 Apr 2010, at 9:23, Sahil Tandon wrote:

> Thanks for fixing that; however, in testing your port, I see that it
> does not install -- the configure script fails.  See:
>=20
> http://people.freebsd.org/~sahil/logs/9.0/zabbix-server-1.8.2_1,2.log


I assume you have net-snmp installed.  I do not have this issue with any =
of my boxes.  Could this be a 9-CURRENT issue?
Comment 9 Sahil Tandon freebsd_committer 2010-05-01 17:44:06 UTC
On Thu, 29 Apr 2010, Jim Riggs wrote:

> I assume you have net-snmp installed.  I do not have this issue with
> any of my boxes.  Could this be a 9-CURRENT issue?

As noted in the build log, net-snmp-5.4.2.1_6 is installed.  And no,
this is not particular to 9-CURRENT.  See:

http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/e.8.20100417135305/zabbix-server-1.8.2_1,2.log.bz2

-- 
Sahil Tandon <sahil@FreeBSD.org>
Comment 10 Sahil Tandon freebsd_committer 2010-05-04 02:54:47 UTC
This was related to a problem with net-mgmt/snmp as documented in
ports/141238.  Build is fine now.

-- 
Sahil Tandon <sahil@FreeBSD.org>
Comment 11 dfilter service freebsd_committer 2010-05-05 05:07:09 UTC
sahil       2010-05-05 04:07:00 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/zabbix-server Makefile 
  Log:
  - Fix fping location in sample conf files
  
  PR:             ports/145606
  Submitted by:   Jim Riggs <ports@christianserving.org> (maintainer)
  Approved by:    itetcu@ (mentor)
  
  Revision  Changes    Path
  1.6       +1 -0      ports/net-mgmt/zabbix-server/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 Sahil Tandon freebsd_committer 2010-05-05 05:07:19 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!